<?php

namespace CouponsPlus\App\Coupon\Attributes\Abilities;

use CouponsPlus\Original\Characters\StringManager;
use CouponsPlus\App\Coupon\Attributes\Abilities\AttributeData;

interface MatchableAttribute
{
    public function getData() : AttributeData;
    // any, 'any of these', 'any except'
    public function getType(): StringManager;
    public function shouldMatchAnyValue(): bool;
}